#ifndef INCLUDED_snow_types_FileEventType
#define INCLUDED_snow_types_FileEventType

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

HX_DECLARE_CLASS2(snow,types,FileEventType)
namespace snow{
namespace types{


class FileEventType_obj : public hx::EnumBase_obj
{
	typedef hx::EnumBase_obj super;
		typedef FileEventType_obj OBJ_;

	public:
		FileEventType_obj() {};
		HX_DO_ENUM_RTTI;
		static void __boot();
		static void __register();
		::String GetEnumName( ) const { return HX_CSTRING("snow.types.FileEventType"); }
		::String __ToString() const { return HX_CSTRING("FileEventType.") + tag; }

		static ::snow::types::FileEventType create;
		static inline ::snow::types::FileEventType create_dyn() { return create; }
		static ::snow::types::FileEventType drop;
		static inline ::snow::types::FileEventType drop_dyn() { return drop; }
		static ::snow::types::FileEventType modify;
		static inline ::snow::types::FileEventType modify_dyn() { return modify; }
		static ::snow::types::FileEventType remove;
		static inline ::snow::types::FileEventType remove_dyn() { return remove; }
		static ::snow::types::FileEventType unknown;
		static inline ::snow::types::FileEventType unknown_dyn() { return unknown; }
};

} // end namespace snow
} // end namespace types

#endif /* INCLUDED_snow_types_FileEventType */ 
